Show / Hide Table of Contents

# Struct AtkUldManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkUldManager

### Fields

| Improve this Doc View Source

#### AssetCount

##### Declaration

    public ushort AssetCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Assets

##### Declaration

    public AtkUldAsset*Assets

##### Field Value

Type | Description
--- | ---
AtkUldAsset* |

| Improve this Doc View Source

#### AtkResourceRendererManager

##### Declaration

    public void *AtkResourceRendererManager

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### ComponentData

##### Declaration

    public AtkUldComponentDataBase*ComponentData

##### Field Value

Type | Description
--- | ---
AtkUldComponentDataBase* |

| Improve this Doc View Source

#### Flags1

##### Declaration

    public byte Flags1

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LoadedState

##### Declaration

    public byte LoadedState

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NodeList

##### Declaration

    public AtkResNode**NodeList

##### Field Value

Type | Description
--- | ---
AtkResNode** |

| Improve this Doc View Source

#### NodeListCount

##### Declaration

    public ushort NodeListCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### ObjectCount

##### Declaration

    public ushort ObjectCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Objects

##### Declaration

    public AtkUldObjectInfo*Objects

##### Field Value

Type | Description
--- | ---
AtkUldObjectInfo* |

| Improve this Doc View Source

#### PartsList

##### Declaration

    public AtkUldPartsList*PartsList

##### Field Value

Type | Description
--- | ---
AtkUldPartsList* |

| Improve this Doc View Source

#### PartsListCount

##### Declaration

    public ushort PartsListCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### RootNode

##### Declaration

    public AtkResNode*RootNode

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### RootNodeHeight

##### Declaration

    public ushort RootNodeHeight

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### RootNodeWidth

##### Declaration

    public ushort RootNodeWidth

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### UldResourceHandle

##### Declaration

    public void *UldResourceHandle

##### Field Value

Type | Description
--- | ---
System.Void* |